' """
FILE: mxml.bas

This is the BASIC import file for the module mxml.

Copyright 2010, Armando I. Rivera, Recursive Media Group.

Released under the terms of the Mini-Xml Licence.

The Mini-XML library and included programs are provided under the terms of the 
GNU Library General Public License (LGPL) with the following exceptions:

  1. Static linking of applications to the Mini-XML library does not constitute
	a derivative work and does not require the author to provide source code for 
	the application, use the shared Mini-XML libraries, or link their applications
	against a user-supplied version of Mini-XML.

  If you link the application to a modified version of Mini-XML, then the 
	changes to Mini-XML must be provided under the terms of the LGPL in sections 
	1, 2, and 4.
	
  2. You do not have to provide a copy of the Mini-XML license with programs 
	that are linked to the Mini-XML library, nor do you have to identify the 
	Mini-XML license in your program or documentation as required by section 6 
	of the LGPL.



"""

module mxml

REM """
The module mxml.bas is based on the Mini-XML library.
"""
' FUNCTION DECLARATIONS 
declare sub 		::LoadDoc				alias "LoadDoc"				lib "mxml"
declare sub 		::GetNext				alias "GetNext"				lib "mxml"
declare sub 		::GetChild			alias "GetChild"			lib "mxml"
declare sub 		::GetNodeValue	alias "GetNodeValue"  lib "mxml"
declare sub 		::GetNode				alias "GetNode"				lib "mxml"
declare sub 		::SaveDoc				alias "SaveDoc"				lib "mxml"
declare sub 		::NewDoc				alias "NewDoc"				lib "mxml"
declare sub			::GetProperty		alias "GetProperty"		lib "mxml"
declare sub 		::FreeDoc				alias "FreeDoc"				lib "mxml"

end module
